odoo.define('jd_report.view_report_action', function (require) {
    "use strict";

    var chat_manager = require('mail.chat_manager');
    var composer = require('mail.composer');
    var ChatThread = require('mail.ChatThread');
    var utils = require('mail.utils');

    var config = require('web.config');
    var ControlPanelMixin = require('web.ControlPanelMixin');
    var core = require('web.core');
    var data = require('web.data');
    var data_manager = require('web.data_manager');
    var Dialog = require('web.Dialog');
    var framework = require('web.framework');
    var Model = require('web.Model');

    var pyeval = require('web.pyeval');
    var SearchView = require('web.SearchView');
    var Widget = require('web.Widget');

    var qweb = core.qweb;
    var _t = core._t;

    var ReportViewerAction = Widget.extend(ControlPanelMixin, {
        template: 'jd_report.view_report',
        events: {},
        init: function (parent, action, options) {
            this._super.apply(this, arguments);
            this.params = action.params;
            this.params.report_id = 2;//TODO: 动态设置
            console.log(action.params);
        }
    });

    core.action_registry.add('jd_report.report_viewer', ReportViewerAction);
});